Package generic

# Record Class ULongSpan.Impl

java.lang.Object
java.lang.Record
generic.ULongSpan.Impl

All Implemented Interfaces:
  `Span<Long,ULongSpan>`, `ULongSpan`, `Comparable<ULongSpan>`

Enclosing interface:
  ULongSpan

public static record ULongSpan.Impl(Long min, Long max) extends Record implements ULongSpan
A non-empty span of unsigned longs

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface generic.Span

  `Span.DefaultSpanMap<N,S extends Span<N,S>,V>, Span.DefaultSpanSet<N,S extends Span<N,S>>, Span.MutableSpanMap<N,S extends Span<N,S>,V>, Span.MutableSpanSet<N,S extends Span<N,S>>, Span.SpanMap<N,S extends Span<N,S>,V>, Span.SpanMapSetter<E,N,S extends Span<N,S>,V>, Span.SpanSet<N,S extends Span<N,S>>`

  ## Nested classes/interfaces inherited from interface generic.ULongSpan

  `ULongSpan.DefaultULongSpanMap<V>, ULongSpan.DefaultULongSpanSet, ULongSpan.Domain, ULongSpan.Empty, ULongSpan.Impl, ULongSpan.MutableULongSpanMap<V>, ULongSpan.MutableULongSpanSet, ULongSpan.ULongSpanMap<V>, ULongSpan.ULongSpanSet`

- ## Field Summary

  ### Fields inherited from interface generic.ULongSpan

  `ALL, DOMAIN, EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Impl(Long min, Long max)`
  Creates an instance of a `Impl` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Span.Domain<Long,ULongSpan>`
  `domain()`
  Get the domain of this span's endpoints
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Long`
  `max()`
  Returns the value of the `max` record component.
  `Long`
  `min()`
  Returns the value of the `min` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface generic.Span

  `bound, compareTo, contains, doToString, encloses, intersect, intersects, isEmpty, maxIsFinite, minIsFinite, subtract`

  ### Methods inherited from interface generic.ULongSpan

  `length`

- ## Constructor Details

  - ### Impl

    public Impl(Long min, Long max)
    Creates an instance of a `Impl` record class.
    Parameters:
      `min` - the value for the `min` record component
      `max` - the value for the `max` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### domain

    public Span.Domain<Long,ULongSpan> domain()
    Description copied from interface: `Span`
    Get the domain of this span's endpoints
    Specified by:
      `domain` in interface `Span<Long,ULongSpan>`
    Returns:
      the domain

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### min

    public Long min()
    Returns the value of the `min` record component.
    Specified by:
      `min` in interface `Span<Long,ULongSpan>`
    Returns:
      the value of the `min` record component
    See Also:
      - `Span.isEmpty()`

  - ### max

    public Long max()
    Returns the value of the `max` record component.
    Specified by:
      `max` in interface `Span<Long,ULongSpan>`
    Returns:
      the value of the `max` record component
    See Also:
      - `Span.isEmpty()`